OMPAYOMPAY
API ReferenceEndpointsBank hosted

Verify order payment status

Checks the current payment status for a bank-hosted order using the orderId query parameter.

GET
/nac/api/v1/pg/orders/check-status

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Query Parameters

orderId*string

Unique order identifier returned when the order was created.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.uat.gateway.ompay.com/nac/api/v1/pg/orders/check-status?orderId=string"
{
  "orderId": "string",
  "status": "string",
  "paymentId": "string",
  "receiptId": "string",
  "amount": 0,
  "signature": "string",
  "timestamp": "2019-08-24T14:15:22Z",
  "paymentDetails": {
    "paymentMethod": "string",
    "cardNetwork": "string",
    "cardType": "string",
    "cardUsageType": "string"
  }
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}